# Get Company

### Input

<table><thead><tr><th width="181">Attribute</th><th width="190">Type</th><th>Description</th><th>Required</th></tr></thead><tbody><tr><td>registrationNumber</td><td>String</td><td>Registration number of the searched company</td><td>Yes</td></tr></tbody></table>

### Input Example

```
{
    "registrationNumber": "12345"
}
```

### Output

### CompanyDto

| Attribute                          | Type           | Type Description      |
| ---------------------------------- | -------------- | --------------------- |
| [companyDetails](#company-details) | Object         | Custom object         |
| [publicShares](#public-share)      | Array\<Object> | List of public shares |

### Company Details

| Attribute                                | Type           | Type Description                                |
| ---------------------------------------- | -------------- | ----------------------------------------------- |
| uuid                                     | String         | Unique identifier of the company                |
| totalIssuedShareCapital                  | Integer        | Total issued share capital                      |
| totIssuedShareCapital                    | Integer        | Total issued share capital (alternative naming) |
| suffix                                   | String         | Suffix of the company                           |
| street                                   | String         | Street address of the company                   |
| statusEffectiveDate                      | String         | Status effective date of the company            |
| [secretaries](#person)                   | Array\<Object> | List of secretaries of the company              |
| [representatives](#representative)       | Array\<Object> | List of representatives of the company          |
| registrationNumber                       | String         | Registration number of the company              |
| registrationDate                         | String         | Registration date of the company                |
| postcode                                 | String         | Postal code of the company                      |
| name                                     | String         | Name of the company                             |
| locality                                 | String         | Locality of the company                         |
| [involvedParties](#involved-party)       | Array\<Object> | List of involved parties in the company         |
| fullName                                 | String         | Full name of the company                        |
| [directors](#person)                     | Array\<Object> | List of directors of the company                |
| country                                  | String         | Country of the company                          |
| address                                  | String         | Address of the company                          |
| [companyType](#company-type)             | Object         | Type of the company                             |
| [state](#companystate)                   | Object         | State of the company                            |
| clauses                                  | Array\<Object> | List of clauses                                 |
| [authorisedShareCapital](#share-capital) | Array\<Object> | Authorized share capital details                |

### Person

| Attribute                        | Type   | Type Description              |
| -------------------------------- | ------ | ----------------------------- |
| type                             | String | Type of person                |
| [naturalPerson](#natural-person) | Object | Details of the natural person |

### Representative

| Attribute                    | Type   | Type Description            |
| ---------------------------- | ------ | --------------------------- |
| type                         | String | Type of representative      |
| [legalPerson](#legal-person) | Object | Details of the legal person |

### Natural Person

| Attribute                       | Type   | Type Description                            |
| ------------------------------- | ------ | ------------------------------------------- |
| title                           | String | Title of the natural person                 |
| [tempNationality](#nationality) | Object | Temporary nationality of the natural person |
| surname                         | String | Surname of the natural person               |
| street                          | String | Street address of the natural person        |
| postcode                        | String | Postal code of the natural person           |
| locality                        | String | Locality of the natural person              |
| firstName                       | String | First name of the natural person            |
| country                         | String | Country of the natural person               |
| building                        | String | Building address of the natural person      |

### Legal Person

| Attribute                                               | Type   | Type Description                          |
| ------------------------------------------------------- | ------ | ----------------------------------------- |
| type                                                    | String | Type of legal person                      |
| [naturalPerson](#natural-person)                        | Object | Details of the natural person             |
| [uncategorisedLegalPerson](#uncategorised-legal-person) | Object | Details of uncategorized legal person     |
| [localBodyCorporate](#local-body-corporate)             | Object | Details of local body corporate           |
| identificationNumber                                    | String | Identification number of the legal person |

### Nationality

| Attribute   | Type   | Type Description          |
| ----------- | ------ | ------------------------- |
| nationality | String | Nationality of the person |

### Involved Party

| Attribute                    | Type   | Type Description                     |
| ---------------------------- | ------ | ------------------------------------ |
| [type](#involved-party-type) | Object | Type of involved party               |
| [legalPerson](#legal-person) | Object | Details of the legal person involved |

### Involved Party Type

| Attribute | Type   | Type Description           |
| --------- | ------ | -------------------------- |
| name      | String | Name of the involved party |
| key       | String | Key of the involved party  |

### Uncategorised Legal Person

| Attribute          | Type   | Type Description      |
| ------------------ | ------ | --------------------- |
| street             | String | Street address        |
| registrationNumber | String | Registration number   |
| postcode           | String | Postal code           |
| name               | String | Name of the entity    |
| country            | String | Country of the entity |
| city               | String | City of the entity    |
| building           | String | Building address      |

### Local Body Corporate

| Attribute          | Type   | Type Description                     |
| ------------------ | ------ | ------------------------------------ |
| suffix             | String | Suffix of the local body corporate   |
| street             | String | Street address                       |
| registrationNumber | String | Registration number                  |
| postcode           | String | Postal code                          |
| name               | String | Name of the local body corporate     |
| locality           | String | Locality of the local body corporate |
| country            | String | Country of the local body corporate  |
| address            | String | Address of the local body corporate  |

### Company Type

| Attribute   | Type   | Type Description |
| ----------- | ------ | ---------------- |
| type        | String | Company Type     |
| subtype     | String | Company SubType  |
| legislation | String | Legislation      |

### CompanyState

| Attribute | Type   | Type Description |
| --------- | ------ | ---------------- |
| state     | String | Company state    |

### Share Capital

| Attribute                 | Type   | Type Description      |
| ------------------------- | ------ | --------------------- |
| valuePerShare             | String | Value of the share    |
| [shareTypes](#share-type) | Object | Share type            |
| numberOfShares            | Long   | Number of shares      |
| currency                  | String | Currency of the share |
| class                     | Object | Class of the share    |

### Share Type

| Attribute | Type   | Type Description |
| --------- | ------ | ---------------- |
| type      | String | Type of share    |
| key       | String | Key of share     |

### Public Share

| Attribute                    | Type           | Description             |
| ---------------------------- | -------------- | ----------------------- |
| [shares](#share)             | Array\<Object> | List of shares          |
| [legalPerson](#legal-person) | Object         | Legal person associated |

### Share

| Attribute        | Type    | Description                    |
| ---------------- | ------- | ------------------------------ |
| valuePerShare    | String  | Value per share                |
| type             | String  | Type of share                  |
| percentagePaidUp | Integer | Percentage paid up             |
| onBehalfOf       | Object  | On behalf of associated object |
| numberOfShares   | Long    | Number of shares               |
| currency         | String  | Currency of the share          |
| class            | String  | Class of the share             |

### Output Example

```
{
    "companyDetails": {
        "uuid": "123e4567-e89b-12d3-a456-426614174000",
        "totalIssuedShareCapital": 500000,
        "totIssuedShareCapital": 500000,
        "suffix": "Ltd",
        "street": "123 Business Street",
        "statusEffectiveDate": "2021-12-31",
        "secretaries": [
            {
                "type": "Secretary",
                "naturalPerson": {
                    "title": "Mr",
                    "tempNationality": {
                        "nationality": "Maltese"
                    },
                    "surname": "Doe",
                    "street": "123 Secretary St",
                    "postcode": "SECR123",
                    "locality": "Valletta",
                    "firstName": "John",
                    "country": "Malta",
                    "building": "Secretary Building"
                }
            }
        ],
        "representatives": [
            {
                "type": "Representative",
                "legalPerson": {
                    "type": "Company",
                    "naturalPerson": null,
                    "uncategorisedLegalPerson": {
                        "street": "456 Rep St",
                        "registrationNumber": "REP456",
                        "postcode": "REP123",
                        "name": "Rep Company",
                        "country": "Malta",
                        "city": "Sliema",
                        "building": "Rep Building"
                    },
                    "localBodyCorporate": null,
                    "identificationNumber": "REP-123456"
                }
            }
        ],
        "registrationNumber": "C78901",
        "registrationDate": "2020-01-01",
        "postcode": "COMP123",
        "name": "Example Company Ltd.",
        "locality": "Birkirkara",
        "involvedParties": [
            {
                "type": {
                    "name": "Owner",
                    "key": "OWNER"
                },
                "legalPerson": {
                    "type": "Person",
                    "naturalPerson": {
                        "title": "Ms",
                        "tempNationality": {
                            "nationality": "British"
                        },
                        "surname": "Smith",
                        "street": "789 Owner St",
                        "postcode": "OWN123",
                        "locality": "St. Julian's",
                        "firstName": "Jane",
                        "country": "UK",
                        "building": "Owner Building"
                    },
                    "uncategorisedLegalPerson": null,
                    "localBodyCorporate": {
                        "suffix": "PLC",
                        "street": "123 Local St",
                        "registrationNumber": "LOC789",
                        "postcode": "LOC456",
                        "name": "Local Company",
                        "locality": "Marsascala",
                        "country": "Malta",
                        "address": "123 Local St, Marsascala, Malta"
                    },
                    "identificationNumber": null
                }
            }
        ],
        "fullName": "Example Company Limited",
        "directors": [
            {
                "type": "Director",
                "naturalPerson": {
                    "title": "Dr",
                    "tempNationality": {
                        "nationality": "Italian"
                    },
                    "surname": "Rossi",
                    "street": "321 Director St",
                    "postcode": "DIR123",
                    "locality": "Floriana",
                    "firstName": "Mario",
                    "country": "Italy",
                    "building": "Director Building"
                }
            }
        ],
        "country": "Malta",
        "address": "123 Business Street, Birkirkara, Malta",
        "companyType": {
            "type": "Private",
            "subtype": "Limited",
            "legislation": "Companies Act"
        },
        "state": {
            "state": "Active"
        },
        "clauses": [],
        "authorisedShareCapital": [
            {
                "valuePerShare": "1.00",
                "shareTypes": {
                    "type": "Ordinary",
                    "key": "ORD"
                },
                "numberOfShares": 500000,
                "currency": "EUR",
                "clazz": null
            }
        ]
    },
    "publicShares": [
        {
            "shares": [
                {
                    "valuePerShare": "1.00",
                    "type": "Ordinary",
                    "percentagePaidUp": 100,
                    "onBehalfOf": null,
                    "numberOfShares": 250000,
                    "currency": "EUR",
                    "clazz": "Class A"
                },
                {
                    "valuePerShare": "2.00",
                    "type": "Preference",
                    "percentagePaidUp": 50,
                    "onBehalfOf": null,
                    "numberOfShares": 150000,
                    "currency": "EUR",
                    "clazz": "Class B"
                }
            ],
            "legalPerson": {}
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/malta-business-registry/company-profile/get-company.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
